#pragma once

#include "./core/omp_config.h"

#include "./utils/vector.h"
#include "./utils/matrix.h"


namespace neural_networks{

	template <typename T>
	struct Activation_ReLU{

		//utils::Matrix<T> inputs;
		utils::Matrix<T> outputs;

        void forward(const utils::Matrix<T>& inputs){
		    outputs = numerics::matclip_low(inputs, T{0});
        }
	};



} // end namespace neural_networks